moryoav
Posts: 13
Joined: Tue Jul 08, 2014 8:44 am

Can't upgrade to latest version

Tue Jul 08, 2014 8:54 am

I made a bit of a mess with my Raspbian installation.
Everything worked fine until I tried to follow this guide for installation the RasClock:
http://afterthoughtsoftware.com/products/rasclock

The situation now is that I couldn't get the RasClock to work and right now all I want to do is go back to the latest Raspbian release.
What I have it this:

Code: Select all

$ uname -a
Linux raspberrypi 3.6.11-atsw-rtc+ #5 PREEMPT Tue Oct 22 12:41:09 BST 2013 armv6l GNU/Linux
The apt-get upgrade just tells me that I'm running the latest version.

Code: Select all

$ sudo apt-get update
$ sudo apt-get upgrade 
The rpi-update tells me that I'm running the latest version

Code: Select all

$ sudo rpi-update
What's troubling me, and I think this is one of the problems I have/had while trying to set up the RasClock is that I have remnants from 3 different installations:

Code: Select all

[email protected] /lib/modules $ ls
3.12.22+  3.12.24+  3.6.11-atsw-rtc+
What should I do to purge the old kernel modules and how do I force the installation of the latest version?

Any assistance would be greatly appreciated.

Yoav.

elatllat
Posts: 1337
Joined: Sat Dec 17, 2011 5:05 pm

Re: Can't upgrade to latest version

Wed Jul 09, 2014 12:59 am

Just dd a new img.
If you have unsaved/scripted changes you can backup first and diff after to find them.
SBC with 32GB RAM: https://hardkernel.com

FAQ : https://raspberrypi.stackexchange.com

Unanswered: https://www.raspberrypi.org/forums/search.php?search_id=unanswered

moryoav
Posts: 13
Joined: Tue Jul 08, 2014 8:44 am

Re: Can't upgrade to latest version

Wed Jul 09, 2014 8:07 am

elatllat wrote:Just dd a new img.
If you have unsaved/scripted changes you can backup first and diff after to find them.
I hoped for an easier solution. Ended up reinstalling Raspbian. Thanks.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6086
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: Can't upgrade to latest version

Wed Jul 09, 2014 8:15 am

You should've forced rpi-update to update by deleting the .firmware_something file it spits out on /boot


Return to “Raspbian”